<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button type="button" class="btn btn-primary ml-1" (click)="getInfo()" [disabled]="ngForm.invalid">
    <i class="fa fa-search mr-2"></i>Buscar
  </button>
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="col-2">
          <label># Folio</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="NoFolio" readonly="true">
                <div class="input-group-append">
                  <button class="btn btn-primary" type="button" (click)="openModal(modal, 'fl')">
                    <i class="fas fa-search"></i>
                  </button>
                </div>
          </div>
        </div>
        <div class="col-4">
          <div class="form-group">
            <label>Nombre</label>
            <input type="text"
                   formControlName="Nombre"
                   class="form-control"
                   readonly>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-6">
          <label>Razón</label>
          <input  type="text"
                  formControlName="Razon"
                  class="form-control"
                  readonly>
        </div>
      </div>

    </form>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGrid" *ngIf="!loading"
              [selectable]="true"
              [filter]="filter"
              [filterable]="true"
              [navigable]="true"
              [reorderable]="true"
              [resizable]="true"
              [sortable]="true"
              (selectionChange)="selectRow($event)"
              [pageSize]="pageSize"
              [skip]="skip"
              [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}"
              style="height: 51vh;" class="mt-1">
              <div *ngIf="dataGrid.length !== 0">
                <kendo-grid-column field="FechaMov" title="Fecha Movto." width="100">
                  <ng-template kendoGridCellTemplate let-dataItem>
                    {{ dataItem.FechaMov | date: formatKendo }}
                  </ng-template>
                </kendo-grid-column>
                <kendo-grid-column field="HoraMov" title="Hora Movto." width="100">
                  <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.HoraMov | hour }}
                  </ng-template>
                </kendo-grid-column>
                <kendo-grid-column field="TipoMov" title="Tipo" width="70"></kendo-grid-column>
                <kendo-grid-column field="Hora" title="Hora Desp." width="100">
                  <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Hora | hour }}
                  </ng-template>
                </kendo-grid-column>
                <kendo-grid-column field="FechaDespertador" title="Fecha Desp." width="100">
                  <ng-template kendoGridCellTemplate let-dataItem>
                    {{ dataItem.FechaDespertador | date: formatKendo }}
                  </ng-template>
                </kendo-grid-column>
                <kendo-grid-column field="Usuario" title="Operador" width="70"></kendo-grid-column>
              </div>
              <ng-template kendoGridNoRecordsTemplate>
                {{ noRecords }}
              </ng-template>
    </kendo-grid>
  </div>

    <app-loading *ngIf="loading"></app-loading>

</div>

<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h6 class="modal-title" id="modal-graf">{{ modalTitle }}</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <app-buscar [typeSearch]="'H'" (resultFolio)="getDataModal($event, 'fl'); c();" *ngIf="modalType === 'fl'"></app-buscar>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c()">Cerrar</button>
  </div>
</ng-template>
